/**
 * 
 */
package org.ajax4jsf.gwt.client.ui;

import com.google.gwt.user.client.Element;
import com.google.gwt.user.client.ui.Widget;

/**
 * Base class for widgets bounded to named input fields.
 * Due to Internet Explorer limitation, use native code to set name of input element
 * @author shura
 *
 */
public class InputWidget extends Widget {

	public static native void setInputName(Element input,String name)/*-{
		input.name=name;
	}-*/;

	public static native void setInputType(Element input,String type)/*-{
		input.type=type;
	}-*/;
}
