/**
 * 
 */
package org.ajax4jsf.gwt.client.ui;


import com.google.gwt.user.client.DOM;
import com.google.gwt.user.client.Element;
import com.google.gwt.user.client.ui.HTMLPanel;

/**
 * Extension of {@link HTMLPanel} for wrap html element with rendered content
 * of jsf component ( in most cases, will be used with {@link org.ajax4jsf.gwt.jsf.WidgetWithFacetsRenderer} for
 * wrap rendered facet or children components.
 * @author shura
 *
 */
public class FacetPanel extends HTMLPanel {

	public FacetPanel(String id) throws ElementNotFoundException {
		super("");
        Element e = DOM.getElementById(id);
        if (e == null) {
            throw new ElementNotFoundException(id);
        }
        setElement(e);
	}

}
